SAP Knowledge Base Article - Preview

2682809 - Dependencies on upgrading the UI2 (version 3.6) NWBC Runtime - Guided Answers

Symptom

It is required to update NWBC's (aka NetWeaver Business Client) UI2 Runtime version. As the relation of SAP_BASIS, SAP_UI and NWBC Runtime can be complex, a Documentation referred below will give guidelines in order to see the possibilities of updating NBWC UI2 Runtime on the following backend versions:

  • SAP_BASIS 7.3 EHP 1 and below supported SAP NetWeaver versions,
  • SAP_UI 7.4,
  • SAP_UI 7.5,
  • SAP_UI 7.5 EHP 1 and above supported SAP NetWeaver User Interface Technology versions.

Notice, that SAP_UI version 7.4 is not supported anymore by SAP therefore the update process and feasibility to avoid SAP_UI upgrade can be restricted.


Read more...

Environment

  • NetWeaver Business Client HTML
  • SAP Business Client
  • SAP NetWeaver
  • SAP NetWeaver Application Server for SAP S/4HANA

Product

SAP NetWeaver Application Server for SAP S/4HANA all versions ; SAP NetWeaver all versions

Keywords

UI2, Runtime, NWBC, NetWeaver, Business Client, Patch, SAP_UI, SAP_BASIS, SNOTE, ABAP, HTML, SAPBC, SAP Business Client, Guided Answer, SAP UI, UI Technology, User Interface, 7.40, 7.50, 7.51, 7.52, 740, 750, 751, 752, PL50, PL59, PL60 , KBA , BC-FES-BUS-RUN , Netweaver Business Client Runtime , BC-FES-BUS , Netweaver Business Client , How To

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.